diff tests/test-gendoc @ 9446:57d682d7d2da

test-gendoc: test documentation generation
author Martin Geisler <mg@lazybytes.net>
date Sun, 13 Sep 2009 18:00:37 +0200
parents
children 7d6ac5d7917c
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-gendoc	Sun Sep 13 18:00:37 2009 +0200
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" rst2html || exit 80
+RST2HTML=$(which rst2html 2> /dev/null || which rst2html.py)
+
+echo "checking for syntax errors in gendoc.py"
+python $TESTDIR/../doc/gendoc.py > gendoc.txt || exit
+
+# We run rst2html over the file without adding "--halt warning" to
+# make it report all errors instead of stopping on the first one.
+echo "checking for parse errors with rst2html"
+$RST2HTML gendoc.txt /dev/null